<template>
  <div class="content-number">
    <!-- <div v-if="!showProduct && !showWarehouse && !showPosition" class="sub-number">
      <div class="left"><i class="el-icon-s-fold"></i></div>
      <div class="right">
        <div class="right-label">{{ 0 }}</div>
        <div class="right-label">额外的价格</div>
      </div>
    </div> -->
    <div
      v-if="!showProduct && !showWarehouse && !showPosition && !addProduct"
      class="sub-number left_border cursor_pointer"
      @click="inLibraryClick()"
    >
      <div class="left"><i class="el-icon-present"></i></div>
      <div class="right">
        <div class="right-label">{{ (countObject?.inLibrary ?? 0) + "件" }}</div>
        <div class="right-label">在库</div>
      </div>
    </div>
    <div v-if="!showProduct && !showWarehouse && !showPosition && !addProduct" class="sub-number no-cursor">
      <div class="left"><i class="el-icon-present"></i></div>
      <div class="right">
        <div class="right-label">{{ (countObject?.forecast ?? 0) + "件" }}</div>
        <div class="right-label">预测</div>
      </div>
    </div>
    <div
      v-if="!showProduct && !showWarehouse && !showPosition"
      class="sub-number yes-cursor"
      @click="inOutBoundClick"
      :class="{ left_border: addProduct }"
    >
      <div class="left icon-view"><i class="el-icon-sort"></i></div>
      <div class="right">
        <div class="right-label">{{ "进: " + (countObject?.enter ?? 0) }}</div>
        <div class="right-label">{{ "出: " + (countObject?.exit ?? 0) }}</div>
      </div>
    </div>
    <!-- <div
      v-if="!showProduct && !showWarehouse && !showPosition"
      class="sub-number"
      @click="inOutBoundClick"
      :class="{ left_border: addProduct }"
    >
      <div class="left"><i class="el-icon-s-shop"></i></div>
      <div class="right">
        <div class="right-label">{{ 0 }}</div>
        <div class="right-label">BOM</div>
      </div>
    </div> -->
    <div
      v-if="!showProduct && !showWarehouse && !showPosition"
      class="sub-number yes-cursor"
      @click="reorderRulesClick"
    >
      <div class="left"><i class="el-icon-refresh"></i></div>
      <div class="right">
        <div class="right-label">{{ countObject?.reorderRule ?? 0 }}</div>
        <div class="right-label">重订货规则</div>
      </div>
    </div>
    <div v-if="showProduct" class="sub-number left_border yes-cursor" @click="productClick">
      <div class="left"><i class="el-icon-s-fold"></i></div>
      <div class="right">
        <div class="right-label">{{ countObject?.product ?? 0 }}</div>
        <div class="right-label">产品</div>
      </div>
    </div>
    <div v-if="!showWarehouse" class="sub-number left_border yes-cursor" @click="listingRulesClick">
      <div class="left"><i class="el-icon-refresh"></i></div>
      <div class="right">
        <div class="right-one">上架规则</div>
      </div>
    </div>
    <!-- <div v-if="!showProduct && !showWarehouse && !showPosition && showProcure" class="sub-number">
      <div class="left"><i class="el-icon-bank-card"></i></div>
      <div class="right">
        <div class="right-label">{{ "0.00" + "件" }}</div>
        <div class="right-label">已采购</div>
      </div>
    </div>
    <div v-if="!showProduct && !showWarehouse && !showPosition && showSale" class="sub-number">
      <div class="left"><i class="el-icon-bank-card"></i></div>
      <div class="right">
        <div class="right-label">{{ "0.00" + "件" }}</div>
        <div class="right-label">已售</div>
      </div>
    </div> -->
    <div v-if="showPosition" class="sub-number no-cursor">
      <div class="left"><i class="el-icon-help"></i></div>
      <div class="right">
        <div class="right-one">当前库存</div>
      </div>
    </div>
    <div v-if="showWarehouse" class="sub-number left_border no-cursor">
      <div class="left"><i class="el-icon-refresh"></i></div>
      <div class="right">
        <div class="right-one">路线</div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "FormBtnsView",
  props: {
    showProduct: {
      type: Boolean,
      default: false
    },
    showWarehouse: {
      type: Boolean,
      default: false
    },
    showPosition: {
      type: Boolean,
      default: false
    },
    addProduct: {
      type: Boolean,
      default: false
    },
    showProcure: {
      type: Boolean,
      default: true
    },
    showSale: {
      type: Boolean,
      default: true
    },
    countObject: {
      type: Object,
      default: () => {
        return {
          inLibrary: 0, // 在库
          forecast: 0, // 预测
          enter: 0, // 进
          exit: 0, // 出
          reorderRule: 0, // 重订货规则
          product: 0 // 产品
        }
      }
    }
  },
  data() {
    return {}
  },
  methods: {
    // 进出
    inOutBoundClick() {
      this.$emit("inOutBoundClick")
    },
    // 产品
    productClick() {
      this.$emit("productClick")
    },
    // 在库
    inLibraryClick() {
      this.$emit("inLibraryClick")
    },
    // 上架规则
    listingRulesClick() {
      this.$emit("listingRulesClick")
    },
    // 重订货规则
    reorderRulesClick() {
      this.$emit("reorderRulesClick")
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.content-number {
  display: flex;
  justify-content: right;
  height: 44px;
  // border-bottom: 1px solid #e9e9e9;
  padding: 0px 10px;
  font-size: 13px;
  .sub-number {
    width: 12.5%;
    border-right: 1px solid #e9e9e9;
    border-top: 1px solid #e9e9e9;
    border-bottom: 1px solid #e9e9e9;
    display: flex;
    padding: 3px 9px;
    .left {
      margin-top: 3px;
      font-size: 22px;
      font-weight: 600;
    }
    .icon-view {
      transform: rotate(270deg);
    }
    .right {
      margin-left: 6px;
      .right-label {
        color: #495057;
      }
      .right-one {
        height: 38px;
        line-height: 38px;
      }
    }
  }
  .left_border {
    border-left: 1px solid #e9e9e9;
  }
}
</style>
